mord(1)

NAME
mord - compute sparse matrix orderings of meshes

SYNOPSIS
mord [options] [mfile] [ofile] [lfile]

DESCRIPTION
The mord program computes, in a sequential way, an ordering of a Scotch source mesh representing the pattern of some symmetric sparse matrix. Only nodes of the mesh are effectively ordered. Elements provide connectivity information, such that every node is considered to be linked to all of the nodes which share at least an element with it.

Source mesh file mfile can only be a centralized mesh file. The resulting ordering is stored in file ofile. Eventual logging information (such as the one produced by option -v) is sent to file lfile. When file names are not specified, data is read from standard input and written to standard output. Standard streams can also be explicitely represented by a dash '-'.

When the proper libraries have been included at compile time, gord can directly handle compressed meshes, both as input and output. A stream is treated as compressed whenever its name is postfixed with a compressed file extension, such as in 'brol.msh.bz2' or '-.gz'. The compression formats which can be supported are the bzip2 format ('.bz2'), the gzip format ('.gz'), and the lzma format ('.lzma', on input only).

OPTIONS

-copt
    Choose default ordering strategy according to one or several options among:

    b   enforce load balance as much as possible.

    q   privilege quality over speed (default).

    s   privilege speed over quality.

    t   enforce safety.

-h  Display some help.

-mmfile
    Save column block mapping data to file mfile. Mapping data specifies, for each node vertex, the index of the column block to which this node vertex belongs.

-ostrat
    Use sequential mesh ordering strategy strat (see Scotch user's manual for more information).

-ttfile
    Save partitioning tree data to file tfile. Partitioning tree data specifies, for each node vertex, the index of the first node vertex of the parent block of the block to which the node vertex belongs. Altogether with the mapping data provided in file mfile, it allows one to rebuild the separator tree of the nested dissection process.

-V  Display program version and copyright.

-vverb
    Set verbose mode to verb. It is a set of one of more characters which can be:

    s   strategy information.

    t   timing information.

EXAMPLE
Reorder matrix mesh brol.msh and save the resulting ordering to file brol.ord using the default sequential mesh ordering strategy:

    $ mord brol.msh brol.ord

SEE ALSO
gmk_msh(1), gotst(1), mtst(1).

Scotch user's manual.

AUTHOR
Francois Pellegrini <francois.pellegrini@labri.fr>